Package org.apache.commons.math3.geometry.partitioning

# Class SubHyperplane.SplitSubHyperplane<U extends Space>

java.lang.Object
org.apache.commons.math3.geometry.partitioning.SubHyperplane.SplitSubHyperplane<U>

Type Parameters:
  `U` - Type of the embedding space.

Enclosing interface:
  `SubHyperplane<S extends Space>`

public static class SubHyperplane.SplitSubHyperplane<U extends Space> extends Object
Class holding the results of the `split` method.

## Constructor Summary

Constructors
Constructor
Description
`SplitSubHyperplane(SubHyperplane<U> plus, SubHyperplane<U> minus)`
Build a SplitSubHyperplane from its parts.

## Method Summary

Modifier and Type
Method
Description
`SubHyperplane<U>`
`getMinus()`
Get the part of the sub-hyperplane on the minus side of the splitting hyperplane.
`SubHyperplane<U>`
`getPlus()`
Get the part of the sub-hyperplane on the plus side of the splitting hyperplane.
`Side`
`getSide()`
Get the side of the split sub-hyperplane with respect to its splitter.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SplitSubHyperplane

public SplitSubHyperplane(SubHyperplane<U> plus, SubHyperplane<U> minus)
Build a SplitSubHyperplane from its parts.

Parameters:
  `plus` - part of the sub-hyperplane on the plus side of the splitting hyperplane
  `minus` - part of the sub-hyperplane on the minus side of the splitting hyperplane

## Method Details

### getPlus

public SubHyperplane<U> getPlus()
Get the part of the sub-hyperplane on the plus side of the splitting hyperplane.

Returns:
  part of the sub-hyperplane on the plus side of the splitting hyperplane

### getMinus

public SubHyperplane<U> getMinus()
Get the part of the sub-hyperplane on the minus side of the splitting hyperplane.

Returns:
  part of the sub-hyperplane on the minus side of the splitting hyperplane

### getSide

public Side getSide()
Get the side of the split sub-hyperplane with respect to its splitter.

Returns:
  `Side.PLUS` if only `getPlus()` is neither null nor empty, `Side.MINUS` if only `getMinus()` is neither null nor empty, `Side.BOTH` if both `getPlus()` and `getMinus()` are neither null nor empty or `Side.HYPER` if both `getPlus()` and `getMinus()` are either null or empty
Since:
  3.6